<!--
 * @Author: Kane
 * @Date: 2023-01-25 23:16:29
 * @LastEditors: Kane
 * @LastEditTime: 2023-02-06 08:32:09
 * @FilePath: /IT工具综合平台/src/views/requirement/RequirementEditing.vue
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
-->
<template>
    需求编辑页面
</template>

<script>
import { onBeforeMount, onBeforeUpdate } from 'vue';
import { useRoute } from 'vue-router';

export default {
    name: "requirement-editing",
    setup()
    {
        const route = useRoute();

        //生命周期
        onBeforeMount(() =>
        {
            console.log("接收的参数：", route.query);
        });

        onBeforeUpdate(() =>
        {
            console.log("接收的参数：", route.query);
        });

        return {};
    },
};
</script>

<style scoped>

</style>